oggenc(1)

BEZEICHNUNG
oggenc - Audiodaten in das Ogg-Vorbis-Format umwandeln

ÜBERSICHT
oggenc [ -hrQ ] [ -B Samplingtiefe der Raw-Eingabe ] [ -C Kanalanzahl der Raw-Eingabe ] [ -R Abtastrate der Raw-Eingabe ] [ -b Nominale Bitrate ] [ -m Minimale Bitrate ] [ -M Maximale Bitrate ] [ -q Qualität ] [ --resample Frequenz ] [ --downmix ] [ -s Seriennummer ] [ -o Ausgabedatei ] [ -n Pattern ] [ -c Extra_Kommentar ] [ -a Künstler ] [ -t Titel ] [ -l Album ] [ -G Genre ] [ -L Liedtextdatei ] [ -Y Sprache ] Eingabedateien …

BESCHREIBUNG
oggenc liest Audiodaten im Raw-, Wave- oder AIFF-Format und kodiert diese in einen Ogg-Vorbis-Datenstrom. oggenc kann auch Audiodaten aus FLAC- und Ogg-FLAC-Dateien lesen, wobei diese Option bereits beim Kompilieren des Programms angegeben werden muss. Falls die Eingabedatei als »-« angegeben wird, werden die Audiodaten aus der Standardeingabe gelesen und der Vorbis-Datenstrom in die Standardausgabe geschrieben, sofern nicht die Option -o zur Umleitung der Ausgabe verwendet wird. Per Vorgabe werden Dateien von der Festplatte als Ogg-Vorbis-Dateien gleichen Namens mit der Endung ».ogg« oder ».oga« ausgegeben. Diese Namenskonvention kann durch die Option -o (bei einer Datei) oder -n (bei mehreren Dateien) überschrieben werden.
Optional können die Liedtexte in die Ogg-Datei eingebettet werden, falls Kate-Unterstützung einkompiliert wurde.
Beachten Sie, dass einige ältere Abspielprogramme daran scheitern könnten, Datenströme mit mehr als einem einzelnen Vorbis-Datenstrom wiederzugeben (dem sogenannten einfachen Profil namens »Vorbis I«).

OPTIONEN

-h, --help
    zeigt Hilfe zur Befehlszeile an.

-V, --version
    zeigt die Versionsnummer an.

-r, --raw
    nimmt an, dass die Eingabedaten Raw-Audiodaten in Little Endian ohne Header-Informationen sind. Wenn keine weiteren Optionen angegeben werden, dann werden als Vorgabe 44,1 kHz und 16 bit Stereo verwendet. In den nächsten drei Optionen finden Sie Möglichkeiten, dies zu ändern.

-B n, --raw-bits=n
    legt die Samplingtiefe (Bittiefe, Abtastwertgröße) in Bit für die Eingabe im Rohmodus fest. Vorgabe ist 16.

-C n, --raw-chan=n
    legt die Kanalanzahl für die Eingabe im Rohmodus fest. Vorgabe ist 2.

-R n, --raw-rate=n
    legt die Abtastrate für die Eingabe im Rohmodus fest. Vorgabe ist 44100.

--raw-endianness n
    setzt die Byte-Reihenfolge im Raw-Modus auf Big Endian (1) oder Little Endian (0). Die Vorgabe ist Little Endian.

--utf8
    informiert oggenc darüber, dass die Vorbis-Kommentare bereits in UTF-8 kodiert sind. Dies ist nützlich, wenn die Shell eine davon abweichende Kodierung verwendet.

-k, --skeleton
    fügt einen Skeleton-Bitstrom hinzu. Dies ist sinnvoll, falls die Ausgabe gebündelte oder verkettete Datenströme enthalten soll. Die Ausgabedatei hat die Dateiendung .oga.

--ignorelength
    fügt Unterstützung für Wave-Dateien größer als 4 GB und Datenströme aus der Standardeingabe hinzu.

-Q, --quiet
    Stiller Modus. Es werden keine Meldungen angezeigt.

-b n, --bitrate=n
    setzt die Ziel-Bitrate auf n (in kbit/s). Der Kodierer versucht, diese Bitrate ungefähr einzuhalten. Per Vorgabe läuft dies auf eine VBR-Kodierung hinaus. Verwenden Sie die Option --managed, um eine geregelte Bitratenkodierung zu aktivieren und so die gewählte Bitrate sehr genau zu erzwingen.

-m n, --min-bitrate=n
    setzt die minimale Bitrate auf n (in kbit/s). Dadurch wird der Bitratenregelungsmodus aktiviert (siehe --managed).

-M n, --max-bitrate=n
    setzt die maximale Bitrate auf n (in kbit/s). Dadurch wird der Bitratenregelungsmodus aktiviert (siehe --managed).

--managed
    aktiviert den Bitratenregelungsmodus. Dies schaltet die normale Kodierung mit variabler Bitrate (VBR) ab, ermöglicht aber strenge oder weniger strenge Einschränkungen der Bitrate durch den Kodierer. Dieser Modus ist wesentlich langsamer und kann auch Qualitätseinbußen mit sich bringen. Er ist vorrangig dazu gedacht, Dateien zum Streaming zu erzeugen.

-q n, --quality=n
    setzt die Kodierungsqualität auf n, zwischen -1 (sehr niedrig) und 10 (sehr hoch). Dies ist der Standardmodus, für den eine Qualitätsstufe von 3 vorgegeben ist. Nicht ganzzahlige Angaben wie 2.5 sind zulässig. Die Angabe dieser Option ermöglicht dem Kodierer die Auswahl einer entsprechenden Bitrate anhand der gewünschten Qualitätsstufe.

--resample n
    tastet die Eingabe vor der Kodierung mit der angegebenen Abtastrate in Hz neu ab. Dies ist vorrangig dazu gedacht, durch Downsampling eine Kodierung mit niedriger Bitrate auszuführen.

--downmix
    führt die Eingabe von Stereo zu Mono zusammen (wirkt sich auf Nicht-Stereo-Datenströme nicht aus). Dies ist nützlich für eine Kodierung mit einer niedrigen Bitrate.

--advanced-encode-option optionname=Wert
    legt eine erweiterte Option fest. Im Abschnitt »Erweiterte Optionen« finden Sie Details dazu.

-s, --serial
    erzwingt eine spezifische Seriennummer im Ausgabe-Datenstrom. Dies ist primär für Testzwecke gedacht.

--discard-comments
    verhindert, dass Kommentare in FLAC- und Ogg-FLAC-Dateien in die ausgegebene Ogg-Vorbis-Datei kopiert werden.

-o Ausgabedatei, --output=Ausgabedatei
    schreibt den Ogg-Vorbis-Datenstrom in Ausgabedatei (nur wenn eine einzelne Eingabedatei angegeben wird).

-n Pattern, --names=Pattern
    bildet Dateinamen entsprechend dieser Zeichenkette, wobei %g, %a, %l, %n, %t, %d durch Genre, Künstler, Album, Titelnummer, Titel beziehungsweise Datum ersetzt werden (nachfolgend finden Sie genauere Hinweise dazu). Außerdem ergibt %% ein %.

-X, --name-remove=s
    entfernt die angegebenen Zeichen aus den Parametern, die der Formatierungszeichenkette der Option -n übergeben werden. Dies stellt sicher, dass gültige Dateinamen erzeugt werden.

-P, --name-replace=s
    ersetzt mit --name-remove entfernte Zeichen durch die angegebenen Zeichen. Falls diese Zeichenkette kürzer als die --name-remove-Liste ist oder nicht angegeben wird, werden die zusätzlichen Zeichen einfach entfernt. Die Vorgabeeinstellungen für diese Option und für die Option -X sind plattformabhängig (und so gewählt, dass für die jeweilige Plattform gültige Dateinamen erzeugt werden).

-c Kommentar, --comment Kommentar
    fügt die Zeichenkette Kommentar als zusätzlichen Kommentar hinzu. Dies kann mehrmals verwendet werden, wobei alle Instanzen zu jeder der angegebenen Eingabedateien hinzugefügt werden. Das Argument sollte in der Form »tag=Wert« vorliegen.

-a Künstler, --artist Künstler
    setzt das Künstler-Kommentarfeld in den Kommentaren auf Künstler.

-G Genre, --genre Genre
    setzt das Genre-Kommentarfeld in den Kommentaren auf Genre.

-d Datum, --date Datum
    setzt das Datum-Kommentarfeld auf den angegebenen Wert. Dies sollte das Datum der Aufnahme sein.

-N n, --tracknum n
    setzt das Titelnummer-Kommentarfeld auf den angegebenen Wert.

-t Titel, --title Titel
    setzt das Titel-Kommentarfeld in den Kommentaren auf Titel.

-l Album, --album Album
    setzt das Alben-Kommentarfeld in den Kommentaren auf Album.

-L Dateiname, --lyrics Dateiname
    lädt die Liedtexte aus Dateiname und bettet diese in einen Kate-Datenstrom ein, der im Vorbis-Datenstrom gebündelt ist. Die Texte können im LRC- oder SRT-Format vorliegen und entweder in UTF-8 oder einfachem ASCII kodiert sein. Weitere Zeichenkodierungen können zuvor mit externen Werkzeugen wie iconv oder recode umgewandelt werden. Sogenannte »Enhanced-LRC«-Dateien werden unterstützt, und ein simpler Karaoke-Stilwechsel wird zusammen mit den Liedtexten gespeichert. Für komplexere Karaokesetups sollte stattdessen kateenc(1) verwendet werden. Beim Einbetten von Liedtexten ist die Standarddateinamenerweiterung der Ausgabedatei ».oga«. Beachten Sie, dass das Hinzufügen von Texten zu einem Datenstrom automatisch Skeleton aktiviert (siehe auch die Option -k für weitere Informationen über Skeleton).

-Y Sprache, --lyrics-language Sprache
    setzt die Sprache der zugehörigen Liedtextdatei auf Sprache. Dies sollte ein Sprachcode nach ISO 639-1 sein, beispielsweise »de«, oder ein Sprach-Tag nach RFC 3066, zum Beispiel »de_DE«, jedoch kein einfacher Name der Sprache. Abspielprogramme erkennen typischerweise diesen Standard-Tag und zeigen die Sprachbezeichnung in Ihrer eigenen Sprache an. Beachten Sie, dass die Länge dieses Tags 15 Zeichen nicht überschreiten darf.

Beachten Sie, dass die Optionen -a, -t, -l, -L und -Y mehrfach angegeben werden können. Sie werden in der angegebenen Reihenfolge für jeweils nur eine Datei verwendet. Wenn es weniger Album-, Titel- bzw. Künstlerkommentare als Eingabedateien gibt, verwendet oggenc den letzten Kommentar für alle übrigen Dateien, und gibt im Falle von wiederholten Titeln eine Warnung aus.

ERWEITERTE KODIERUNGSOPTIONEN

Oggenc ermöglicht mit --advanced-encode-option die Verwendung zusätzlicher Optionen für den Kodierer. Diese sind für erfahrene Benutzer gedacht und sollten mit Vorsicht eingesetzt werden, weil sie bei unsachgemäßer Anwendung die Klangqualität deutlich verschlechtern können. Gegenwärtig sind nicht alle diese Optionen dokumentiert.

lowpass_frequency=N
    setzt die Tiefpassfrequenz auf N kHz.

impulse_noisetune=N
    setzt für Impulsblöcke den Bias des Grundrauschens auf N (Bereich von -15. bis 0.). Ein negativer Bias weist den Kodierer an, klaren Übergängen in den kodierten Tönen größere Bedeutung einzuräumen. Dieses bessere Einschwingverhalten erfordert allerdings eine höhere Bitrate.

bitrate_hard_max=N
    setzt die für die kodierte Datei maximal erlaubte Bitrate auf N Kilobit pro Sekunde. Diese Bitrate darf nur dann überschritten werden, wenn freie Bits im Bit-Reservoir übrig sind. Falls dieses ausgeschöpft ist, werden Frames unter diesem Wert gehalten. Diese Einstellung benötigt die Option --managed, um wirksam zu sein.

bitrate_hard_min=N
    setzt die für die kodierte Datei minimal erlaubte Bitrate auf N Kilobit pro Sekunde. Diese Bitrate darf nur dann unterschritten werden, wenn das Bit-Reservoir nicht voll ist. Falls es voll ist, werden Frames über diesem Wert gehalten. Sollte es unmöglich sein, Bits konstruktiv hinzuzufügen, wird der Frame mit Nullen aufgefüllt. Diese Einstellung benötigt die Option --managed, um wirksam zu sein.

bit_reservoir_bits=N
    setzt die Gesamtgröße des Bit-Reservoirs auf N bit. Die Standardgröße des Reservoirs ist gleich der nominal in einer Sekunde kodierten Bits. Das heißt beispielsweise, dass das Bit-Reservoir bei einer nominalen Bitrate von 128 kbit/s eine Vorgabegröße von 128000 Bits haben wird. Diese Einstellung benötigt die Option --managed, um wirksam zu sein, und betrifft nur die Regelung der maximalen und minimalen Bitrate. Kodierungen mit Angabe einer durchschnittlichen Bitrate, ohne diese explizit einzuschränken, benutzen kein Bit-Reservoir.

bit_reservoir_bias=N
    Das Bias-Verhalten des Bit-Reservoirs festlegen (Bereich von 0. bis 1.). Je näher die Einstellung an 0 ist, umso mehr versucht der Bitratenregler Bits zu bevorraten, um diese im Falle einer plötzlichen Erhöhung der Bitrate zu nutzen (Biasing mit dem Ziel eines besseren Übergangsverhaltens). Je näher die Einstellung an 1 ist, umso mehr vernachlässigt der Bitratenregler die Übergänge, um eher homogene Passagen zu bevorzugen. Im mittleren Bereich versucht der Regler, ein ausgewogenes Verhalten zu erreichen. Die Vorgabeeinstellung ist .2, wodurch beim Biasing das Übergangsverhalten etwas stärker gewichtet wird.

bitrate_average=N
    Die durchschnittliche Bitrate der Datei auf N Kilobit pro Sekunde setzen. Wenn diese Option ohne feste Begrenzungen für Maximum oder Minimum verwendet wird, wird eine Kodierung mit durchschnittlicher Bitrate ohne Bit-Reservoir ausgeführt. Der Kodierer versucht dabei, die gewünschte Bitrate zu erreichen, aber lässt sie beliebig stark schwanken. Wenn dies mit maximalen oder minimalen Grenzwerten verwendet wird, legt die angegebene durchschnittliche Bitrate immer noch diesen Wert für die gesamte Datei fest, aber bleibt innerhalb der Grenzen, die das Bit-Reservoir setzt. Wenn die Werte für Minimum, Maximum und durchschnittliche Bitrate identisch sind, erzeugt oggenc Vorbis-Daten mit konstanter Bitrate.

bitrate_average_damping=N
    setzt die Reaktionszeit für die Überwachung der durchschnittlichen Bitrate auf N Sekunden. Diese Zahl stellt die schnellste erlaubte Reaktion der Bitratenverfolgung dar, um die Bitrate dem gewünschten Durchschnitt anzunähern. Je kürzer die Reaktionszeit, desto geringer ist die tatsächliche Abweichung der Bitrate, was aber im Allgemeinen zu einer geringeren Qualität der Ausgabe führt. Je länger die Reaktionszeit, desto mehr weicht die Bitrate vom gewünschten Durchschnitt ab, aber die Qualität der Ausgabe ist dafür besser. In Verbindung mit Begrenzungen der Bitrate nach unten oder oben beeinflusst diese Option, wie oft und wie stark der Kodierer auf das Bit-Reservoir zurückgreift; je höher die Zahl, desto größer die Beanspruchung des Bit-Reservoirs.

    Der Wert muss größer als Null sein. Der sinnvolle Bereich bewegt sich zwischen .05 und 10. Die Vorgabe ist .75 Sekunden.

disable_coupling
    deaktiviert die Kanalkopplung für mehrkanalige Kodierung. Gegenwärtig nutzt dies der Kodierer, um die Kompression für Stereo- und 5.1-Quellen zu erhöhen. Diese Option zwingt den Kodierer, alle Kanäle unabhängig voneinander weder mit verlustbehafteter noch mit verlustfreier Kopplung zu verarbeiten.

BEISPIELE

Die einfachste Version, die Ausgabe erfolgt als eine_datei.ogg:
    oggenc eine_datei.wav

Einen Namen für die Ausgabedatei angeben:
    oggenc eine_datei.wav -o ausgabe.ogg

Angabe einer qualitativ hochwertigen Kodierung mit durchschnittlich 256 kbit/s (aber noch VBR):
    oggenc eingabe_datei.wav -b 256 -o ausgabe.ogg

Erzwingen einer maximalen und einer durchschnittlichen Bitrate:
    oggenc eingabe_datei.wav --managed -b 128 -M 160 -o ausgabe.ogg

Angabe der Qualität statt der Bitrate (für sehr hohe Qualität):
    oggenc eingabe_datei.wav -q 6 -o ausgabe.ogg

Senken der Abtastrate auf 11 kHz und Heruntermischen auf Mono vor dem Kodieren:
    oggenc --resample 11025 --downmix Eingabedatei.wav -q 1 -o Ausgabe.ogg

Hinzufügen zusätzlicher Informationen zum Titel:
    oggenc somefile.wav -t "Titel des Stücks" -a "Ausführender Künstler" -l "Name des Albums" -c "OTHERFIELD=Inhalt eines weiteren Feldes, das nicht ausdrücklich unterstützt wird"

Hinzufügen eingebetteter Liedtexte:
    oggenc Eine_Datei.wav --lyrics lyrics.lrc --lyrics-language de -o Ausgabe.oga

Dies kodiert drei Dateien, jede mit den gleichen Tags für Künstler und Album, aber mit unterschiedlichen Titel-Tags. Die als Argument mit -n übergebene Zeichenkette wird zur Erzeugung der Dateinamen verwendet, wie im vorigen Abschnitt beschrieben. Dieses Beispiel erzeugt Dateinamen wie »The Tea Party - Touch.ogg«:
    oggenc -b 192 -a "The Tea Party" -l "Triptych" -t "Touch" track01.wav -t "Underground" track02.wav -t "Great Big Lie" track03.wav -n "%a - %t.ogg"

Der Kodierungsvorgang führt von der Standardeingabe zur Standardausgabe. Sie können diverse Tagging-Optionen verwenden, wie -t, -a, -l usw.
    oggenc -

AUTOREN

Programmautor:
    Michael Smith <msmith@xiph.org>

Autor der Handbuchseite:
    Stan Seibert <indigo@aztec.asu.edu>

FEHLER
Das Lesen von Wave-Dateien des Typs 3 (Fließkomma-Abtastwerte) funktioniert wahrscheinlich nur auf Intel-Architekturen oder anderen 32-Bit-Rechnern mit Little-Endian-Bytereihenfolge.

SIEHE AUCH

vorbiscomment(1), ogg123(1), oggdec(1), flac(1), speexenc(1), ffmpeg2theora(1), kateenc(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).